POST https://api.d-tools.com/SI/Publish/ServiceOrder
Publish a new service order to SI.
Request Information
URI Parameters
None.
Body Parameters
The Service Order.
NewServiceOrder| Name | Description | Type | Additional information |
|---|---|---|---|
| IntegrationId |
Id for the service order (Optional). The Id must be a valid Guid and can be used to retrieve service order. |
string |
None. |
| Client |
Client name (Required) |
string |
None. |
| ClientNumber |
Client number |
string |
None. |
| Name |
Name (Required) |
string |
None. |
| Start |
Start date required (Required) |
date |
None. |
| End |
End date required (Required) |
date |
None. |
| Description |
Description of the SO |
string |
None. |
Request Formats
application/json, text/json
Sample:
{
"IntegrationId": "sample string 1",
"Client": "sample string 2",
"ClientNumber": "sample string 3",
"Name": "sample string 4",
"Start": "2026-05-10T10:46:43.4748993+00:00",
"StartTicks": 6,
"End": "2026-05-10T10:46:43.4748993+00:00",
"EndTicks": 8,
"Description": "sample string 9"
}
application/x-www-form-urlencoded
Sample:
application/xml, text/xml
Sample:
<NewServiceOrder xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <IntegrationId>sample string 1</IntegrationId> <Client>sample string 2</Client> <ClientNumber>sample string 3</ClientNumber> <Name>sample string 4</Name> <Start>2026-05-10T10:46:43.4748993+00:00</Start> <StartTicks>6</StartTicks> <End>2026-05-10T10:46:43.4748993+00:00</End> <EndTicks>8</EndTicks> <Description>sample string 9</Description> </NewServiceOrder>
Response Information
Resource Description
PublishResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| MessageId |
Check the status of the transaction using this Message Id |
globally unique identifier |
None. |
| Message |
Success Message |
string |
None. |
Response Formats
application/json, text/json
Sample:
{
"MessageId": "d72bd351-0dcf-48a9-b112-430016d3002b",
"Message": "sample string 2"
}
application/xml, text/xml
Sample:
<PublishResponse xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"> <MessageId>d72bd351-0dcf-48a9-b112-430016d3002b</MessageId> <Message>sample string 2</Message> </PublishResponse>